%global srcname matrix-synapse-shared-secret-auth
%global modulename shared_secret_authenticator

Name:           python-%{srcname}
Version:        2.0.2
Release:        1%{?dist}
Summary:        A password provider module for the Matrix Synapse homeserver

License:        AGPLv3+
URL:            https://github.com/devture/matrix-synapse-shared-secret-auth
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Shared Secret Authenticator is a password provider module that plugs into your
Matrix Synapse homeserver.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modulename}


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Thu Oct 28 2021 Kai A. Hiller <V02460@gmail.com> - 2.0-1
- Initial package.
